AI Sync

Contacts

Update Contact

PUThttps://app.aisync.link/api/contacts/update/{id}
Update Contact
curl --request PUT \
  --url https://app.aisync.link/api/contacts/update/MQ== \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "last_name": "Lovelace",
  "first_name": "Ada"
}'
{
  "msg": "Contact updated successfully.",
  "status": "success",
  "contact": {
    "id": "MQ==",
    "first_name": "Ada"
  }
}

Update Contact#

Updates fields on one contact. Send the columns you want to change.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 or numeric contact id

first_namestringbody

Any writable contact column can be sent the same way

curl --request PUT \
  --url https://app.aisync.link/api/contacts/update/MQ== \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "first_name": "Ada",
  "last_name": "Lovelace"
}'
msgstring

Contact updated successfully.

contactobject

Updated contact, with a Base64 id